<?php

class PaywerkPromotions {

  private $settings;
  function __construct($settings) {
    if (isset($settings['promotionsVisibility']) && !empty($settings['promotionsVisibility']) && $settings['promotionsVisibility'] != 'notVisible') {
      add_action($settings['promotionsVisibility'], array($this, 'paywerk_promotion_under_button'), 1);
    }
    $this->settings = $settings;
  }

  function paywerk_promotion_under_button() {
    $kind = $this->settings['promotionsMessage'];
    $theme = $this->settings['promotionsTheme'];

    global  $post;
    $product = isset($post) ? wc_get_product($post->ID) : null;
    if (isset($product)) {
      $locale = get_locale();
      $lang = isset($locale) ? explode('_', $locale)[0] : 'en';
      ?>
      <div class="paywerk-promotion-box" style="margin: 5px 0;">
        <paywerk-promotions amount="<?php echo $product->get_price(); ?>" currency="<?php echo get_woocommerce_currency(); ?>" theme="<?php echo $theme; ?>" kind="<?php echo $kind; ?>" language="<?php echo $lang; ?>"></paywerk-promotions>
      </div>
      <?php
    }
  }

}

?>